Bug 187991 - pstops problem with 1.2
pstops problem with 1.2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 03:34 EDT by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2-0.2.rc1.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-08 05:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ethereal tcpdump of failed network traffic to lpd printer (25.15 KB, application/octet-stream)
2006-04-05 04:05 EDT, Paul Dickson
no flags Details
Contents of /var/log/cups/error_log (9.17 KB, text/plain)
2006-04-05 04:15 EDT, Paul Dickson
no flags Details
ethereal tcpdump of successful network traffic to lpd printer (cups-1.1) (25.19 KB, application/octet-stream)
2006-04-05 04:24 EDT, Paul Dickson
no flags Details
File I'm having trouble printing. It prints 6 blank sudoku boards. (12.23 KB, text/plain)
2006-04-06 16:33 EDT, Paul Dickson
no flags Details
Contents of /var/log/cups/error_log with debug2 (78.19 KB, text/plain)
2006-04-06 16:41 EDT, Paul Dickson
no flags Details

  None (edit)
Description Paul Dickson 2006-04-05 03:34:22 EDT
Description of problem:
Although ethereal showed data was transfered between cups and the lpd printer (a
Lexmark Optra E310, connected by a Hawking TCP-to-printerport) nothing gets printed.

Reverting back to cups-1.1 resolves this issue.

Version-Release number of selected component (if applicable):
cups-1.2-0.2.rc1.5

How reproducible:
Always

Steps to Reproduce:
1. With a working 1.1, yum update 1.2
2. Printing no longer works
3.
  
Actual results:
No flashing of the printers LEDs

Expected results:
Files being printed.

Additional info:
Surprisingly, the printer test page work, but I can't get my files to print.
Comment 1 Tim Waugh 2006-04-05 03:43:44 EDT
Please adjust /etc/cups/cupsd.conf and change the 'LogLevel' line to read:

LogLevel debug2

Then stop cupsd, clear out the error log, and restart it:

/sbin/service cups stop
>/var/log/cups/error_log
/sbin/service cups start

Send your job again, and then please attach the /var/log/cups/error_log file.
Comment 2 Paul Dickson 2006-04-05 04:05:30 EDT
Created attachment 127326 [details]
ethereal tcpdump of failed network traffic to lpd printer

Open this with ethereal
Comment 3 Paul Dickson 2006-04-05 04:15:05 EDT
Created attachment 127327 [details]
Contents of /var/log/cups/error_log
Comment 4 Paul Dickson 2006-04-05 04:24:58 EDT
Created attachment 127328 [details]
ethereal tcpdump of successful network traffic to lpd printer (cups-1.1)

From cups-1.1.	Open with ethereal.
Comment 5 Tim Waugh 2006-04-05 08:31:19 EDT
The actual transfer seems to go without problems.  I'm beginning to suspect the
pstops filter changes are to blame.

How about if you try printing your job like this?:

lpr -oraw ...

That way you bypass the pstops filter.
Comment 6 Paul Dickson 2006-04-05 22:04:03 EDT
Yes, the file prints correctly when I do a "lpr -oraw ..."
Comment 7 Tim Waugh 2006-04-06 07:59:41 EDT
Please could you attach the original document?  Thanks.
Comment 8 Tim Waugh 2006-04-06 08:17:22 EDT
Oh, I'd also still like to see the error_log file when 'LogLevel debug2' is in
effect.
Comment 9 Tim Waugh 2006-04-06 10:24:04 EDT
I have put 1.2-0.2.rc1.7, which contains a change that might fix this, here:

ftp://people.redhat.com/twaugh/tmp/cups-devel/i386/

Please try it out and let me know if it changes anything.
Comment 10 Paul Dickson 2006-04-06 16:33:44 EDT
Created attachment 127426 [details]
File I'm having trouble printing.  It prints 6 blank sudoku boards.
Comment 11 Paul Dickson 2006-04-06 16:41:21 EDT
Created attachment 127427 [details]
Contents of /var/log/cups/error_log with debug2
Comment 12 Paul Dickson 2006-04-06 16:54:22 EDT
Yes, 1.2-0.2.rc1.7 does work.  The file printed successfully.  You you want the
debug2 logging from that run?
Comment 13 Tim Waugh 2006-04-08 05:13:22 EDT
No need.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.